﻿using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace Post10992
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.CurrentExtent = new RectangleShape(-30, 30, 30, -30);

            InMemoryFeatureLayer resultLayer1 = new InMemoryFeatureLayer();
            resultLayer1.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = new AreaStyle(new GeoPen(GeoColor.StandardColors.Red));
            resultLayer1.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            InMemoryFeatureLayer resultLayer2 = new InMemoryFeatureLayer();
            resultLayer2.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = new AreaStyle(new GeoPen(GeoColor.StandardColors.Blue));
            resultLayer2.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            PolygonShape polygonShape = new PolygonShape("Polygon((-0.300699248889195 0.696735382459029,0.488993824757537 0.894846536823366,0.6568379972051 0.245482197518039,-0.300699248889195 0.245482197518039,-0.300699248889195 0.696735382459029))");

            LineShape splitLine = new LineShape("LineString(0.711868873417416 0.73525699580765,0.387186703764753 0.669219944352871,0.450472211408916 0.407823282344371,0.863203783001284 0.435338720450529)");
            MultipolygonShape polygons = Splitter.Split(polygonShape, splitLine);

            resultLayer1.InternalFeatures.Add(new Feature(polygons.Polygons[0]));
            resultLayer2.InternalFeatures.Add(new Feature(polygons.Polygons[1]));

            LayerOverlay layerOverlay = new LayerOverlay();
            //layerOverlay.Layers.Add(resultLayer1);
            layerOverlay.Layers.Add(resultLayer2);
            Map1.Overlays.Add(layerOverlay);

            resultLayer2.Open();
            Map1.CurrentExtent = resultLayer2.GetBoundingBox();
            Map1.Refresh();
        }
    }
}
